# PulpcoreClient::ContentguardsCompositeApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**add_role**](ContentguardsCompositeApi.md#add_role) | **POST** {composite_content_guard_href}add_role/ | Add a role
[**create**](ContentguardsCompositeApi.md#create) | **POST** /pulp/api/v3/contentguards/core/composite/ | Create a composite content guard
[**delete**](ContentguardsCompositeApi.md#delete) | **DELETE** {composite_content_guard_href} | Delete a composite content guard
[**list**](ContentguardsCompositeApi.md#list) | **GET** /pulp/api/v3/contentguards/core/composite/ | List composite content guards
[**list_roles**](ContentguardsCompositeApi.md#list_roles) | **GET** {composite_content_guard_href}list_roles/ | List roles
[**my_permissions**](ContentguardsCompositeApi.md#my_permissions) | **GET** {composite_content_guard_href}my_permissions/ | List user permissions
[**partial_update**](ContentguardsCompositeApi.md#partial_update) | **PATCH** {composite_content_guard_href} | Update a composite content guard
[**read**](ContentguardsCompositeApi.md#read) | **GET** {composite_content_guard_href} | Inspect a composite content guard
[**remove_role**](ContentguardsCompositeApi.md#remove_role) | **POST** {composite_content_guard_href}remove_role/ | Remove a role
[**update**](ContentguardsCompositeApi.md#update) | **PUT** {composite_content_guard_href} | Update a composite content guard



## add_role

> NestedRoleResponse add_role(composite_content_guard_href, nested_role)

Add a role

Add a role for this object to users/groups.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ContentguardsCompositeApi.new
composite_content_guard_href = 'composite_content_guard_href_example' # String | 
nested_role = PulpcoreClient::NestedRole.new # NestedRole | 

begin
  #Add a role
  result = api_instance.add_role(composite_content_guard_href, nested_role)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ContentguardsCompositeApi->add_role: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **composite_content_guard_href** | **String**|  | 
 **nested_role** | [**NestedRole**](NestedRole.md)|  | 

### Return type

[**NestedRoleResponse**](NestedRoleResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## create

> CompositeContentGuardResponse create(composite_content_guard)

Create a composite content guard

Content guard that queries a list-of content-guards for access permissions.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ContentguardsCompositeApi.new
composite_content_guard = PulpcoreClient::CompositeContentGuard.new # CompositeContentGuard | 

begin
  #Create a composite content guard
  result = api_instance.create(composite_content_guard)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ContentguardsCompositeApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **composite_content_guard** | [**CompositeContentGuard**](CompositeContentGuard.md)|  | 

### Return type

[**CompositeContentGuardResponse**](CompositeContentGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> delete(composite_content_guard_href)

Delete a composite content guard

Content guard that queries a list-of content-guards for access permissions.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ContentguardsCompositeApi.new
composite_content_guard_href = 'composite_content_guard_href_example' # String | 

begin
  #Delete a composite content guard
  api_instance.delete(composite_content_guard_href)
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ContentguardsCompositeApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **composite_content_guard_href** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## list

> PaginatedCompositeContentGuardResponseList list(opts)

List composite content guards

Content guard that queries a list-of content-guards for access permissions.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ContentguardsCompositeApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | Filter results where name matches value
  name__contains: 'name__contains_example', # String | Filter results where name contains value
  name__icontains: 'name__icontains_example', # String | Filter results where name contains value
  name__iexact: 'name__iexact_example', # String | Filter results where name matches value
  name__in: ['name__in_example'], # Array<String> | Filter results where name is in a comma-separated list of values
  name__iregex: 'name__iregex_example', # String | Filter results where name matches regex value
  name__istartswith: 'name__istartswith_example', # String | Filter results where name starts with value
  name__regex: 'name__regex_example', # String | Filter results where name matches regex value
  name__startswith: 'name__startswith_example', # String | Filter results where name starts with value
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: ['ordering_example'], # Array<String> | Ordering  * `pulp_id` - Pulp id * `-pulp_id` - Pulp id (descending) * `pulp_created` - Pulp created * `-pulp_created` - Pulp created (descending) * `pulp_last_updated` - Pulp last updated * `-pulp_last_updated` - Pulp last updated (descending) * `pulp_type` - Pulp type * `-pulp_type` - Pulp type (descending) * `name` - Name * `-name` - Name (descending) * `description` - Description * `-description` - Description (descending) * `pk` - Pk * `-pk` - Pk (descending)
  pulp_href__in: ['pulp_href__in_example'], # Array<String> | Multiple values may be separated by commas.
  pulp_id__in: ['pulp_id__in_example'], # Array<String> | Multiple values may be separated by commas.
  q: 'q_example', # String | 
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List composite content guards
  result = api_instance.list(opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ContentguardsCompositeApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**| Filter results where name matches value | [optional] 
 **name__contains** | **String**| Filter results where name contains value | [optional] 
 **name__icontains** | **String**| Filter results where name contains value | [optional] 
 **name__iexact** | **String**| Filter results where name matches value | [optional] 
 **name__in** | [**Array&lt;String&gt;**](String.md)| Filter results where name is in a comma-separated list of values | [optional] 
 **name__iregex** | **String**| Filter results where name matches regex value | [optional] 
 **name__istartswith** | **String**| Filter results where name starts with value | [optional] 
 **name__regex** | **String**| Filter results where name matches regex value | [optional] 
 **name__startswith** | **String**| Filter results where name starts with value | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | [**Array&lt;String&gt;**](String.md)| Ordering  * &#x60;pulp_id&#x60; - Pulp id * &#x60;-pulp_id&#x60; - Pulp id (descending) * &#x60;pulp_created&#x60; - Pulp created * &#x60;-pulp_created&#x60; - Pulp created (descending) * &#x60;pulp_last_updated&#x60; - Pulp last updated * &#x60;-pulp_last_updated&#x60; - Pulp last updated (descending) * &#x60;pulp_type&#x60; - Pulp type * &#x60;-pulp_type&#x60; - Pulp type (descending) * &#x60;name&#x60; - Name * &#x60;-name&#x60; - Name (descending) * &#x60;description&#x60; - Description * &#x60;-description&#x60; - Description (descending) * &#x60;pk&#x60; - Pk * &#x60;-pk&#x60; - Pk (descending) | [optional] 
 **pulp_href__in** | [**Array&lt;String&gt;**](String.md)| Multiple values may be separated by commas. | [optional] 
 **pulp_id__in** | [**Array&lt;String&gt;**](String.md)| Multiple values may be separated by commas. | [optional] 
 **q** | **String**|  | [optional] 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedCompositeContentGuardResponseList**](PaginatedCompositeContentGuardResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list_roles

> ObjectRolesResponse list_roles(composite_content_guard_href, opts)

List roles

List roles assigned to this object.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ContentguardsCompositeApi.new
composite_content_guard_href = 'composite_content_guard_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List roles
  result = api_instance.list_roles(composite_content_guard_href, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ContentguardsCompositeApi->list_roles: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **composite_content_guard_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**ObjectRolesResponse**](ObjectRolesResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## my_permissions

> MyPermissionsResponse my_permissions(composite_content_guard_href, opts)

List user permissions

List permissions available to the current user on this object.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ContentguardsCompositeApi.new
composite_content_guard_href = 'composite_content_guard_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List user permissions
  result = api_instance.my_permissions(composite_content_guard_href, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ContentguardsCompositeApi->my_permissions: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **composite_content_guard_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**MyPermissionsResponse**](MyPermissionsResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> CompositeContentGuardResponse partial_update(composite_content_guard_href, patched_composite_content_guard)

Update a composite content guard

Content guard that queries a list-of content-guards for access permissions.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ContentguardsCompositeApi.new
composite_content_guard_href = 'composite_content_guard_href_example' # String | 
patched_composite_content_guard = PulpcoreClient::PatchedCompositeContentGuard.new # PatchedCompositeContentGuard | 

begin
  #Update a composite content guard
  result = api_instance.partial_update(composite_content_guard_href, patched_composite_content_guard)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ContentguardsCompositeApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **composite_content_guard_href** | **String**|  | 
 **patched_composite_content_guard** | [**PatchedCompositeContentGuard**](PatchedCompositeContentGuard.md)|  | 

### Return type

[**CompositeContentGuardResponse**](CompositeContentGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> CompositeContentGuardResponse read(composite_content_guard_href, opts)

Inspect a composite content guard

Content guard that queries a list-of content-guards for access permissions.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ContentguardsCompositeApi.new
composite_content_guard_href = 'composite_content_guard_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #Inspect a composite content guard
  result = api_instance.read(composite_content_guard_href, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ContentguardsCompositeApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **composite_content_guard_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**CompositeContentGuardResponse**](CompositeContentGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## remove_role

> NestedRoleResponse remove_role(composite_content_guard_href, nested_role)

Remove a role

Remove a role for this object from users/groups.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ContentguardsCompositeApi.new
composite_content_guard_href = 'composite_content_guard_href_example' # String | 
nested_role = PulpcoreClient::NestedRole.new # NestedRole | 

begin
  #Remove a role
  result = api_instance.remove_role(composite_content_guard_href, nested_role)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ContentguardsCompositeApi->remove_role: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **composite_content_guard_href** | **String**|  | 
 **nested_role** | [**NestedRole**](NestedRole.md)|  | 

### Return type

[**NestedRoleResponse**](NestedRoleResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## update

> CompositeContentGuardResponse update(composite_content_guard_href, composite_content_guard)

Update a composite content guard

Content guard that queries a list-of content-guards for access permissions.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ContentguardsCompositeApi.new
composite_content_guard_href = 'composite_content_guard_href_example' # String | 
composite_content_guard = PulpcoreClient::CompositeContentGuard.new # CompositeContentGuard | 

begin
  #Update a composite content guard
  result = api_instance.update(composite_content_guard_href, composite_content_guard)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ContentguardsCompositeApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **composite_content_guard_href** | **String**|  | 
 **composite_content_guard** | [**CompositeContentGuard**](CompositeContentGuard.md)|  | 

### Return type

[**CompositeContentGuardResponse**](CompositeContentGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

