# PulpcoreClient::UpstreamPulp

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | A unique name for this Pulp server. | 
**base_url** | **String** | The transport, hostname, and an optional port of the Pulp server. e.g. https://example.com | 
**api_root** | **String** | The API root. Defaults to &#39;/pulp/&#39;. | 
**domain** | **String** | The domain of the Pulp server if enabled. | [optional] 
**ca_cert** | **String** | A PEM encoded CA certificate used to validate the server certificate presented by the remote server. | [optional] 
**client_cert** | **String** | A PEM encoded client certificate used for authentication. | [optional] 
**client_key** | **String** | A PEM encoded private key used for authentication. | [optional] 
**tls_validation** | **Boolean** | If True, TLS peer validation must be performed. | [optional] 
**username** | **String** | The username to be used for authentication when syncing. | [optional] 
**password** | **String** | The password to be used for authentication when syncing. Extra leading and trailing whitespace characters are not trimmed. | [optional] 
**pulp_label_select** | **String** | One or more comma separated labels that will be used to filter distributions on the upstream Pulp. E.g. \&quot;foo&#x3D;bar,key&#x3D;val\&quot; or \&quot;foo,key\&quot; | [optional] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::UpstreamPulp.new(name: null,
                                 base_url: null,
                                 api_root: null,
                                 domain: null,
                                 ca_cert: null,
                                 client_cert: null,
                                 client_key: null,
                                 tls_validation: null,
                                 username: null,
                                 password: null,
                                 pulp_label_select: null)
```


